ol {

  &.progress-track {
    display: table;
    list-style-type: none;
    margin: 0;
    padding: 2em 0em;
    table-layout: fixed;
    width: 100%;

    li {
      display: table-cell;
      line-height: 3em;
      position: relative;
      text-align: center;

      .icon-wrap {
        border-radius: 50%;
        top: -2em;

        color: #fff;
        display: block;
        height: 2.5em;
        margin: 0 auto -2em;
        left: 0;
        right: 0;
        position: absolute;
        width: 2.5em;
      }

      .icon-check-mark, .icon-down-arrow {
        height: 25px;
        width: 15px;
        display: inline-block;
        fill: currentColor;
      }

      .progress-text {
         position: relative;
         top: 1px;
      }

      &.progress-done {
        border-top: 7px solid #009b37;
        transition: border-color 1s ease-in-out;
        -webkit-transition: border-color 1s ease-in-out;
        -moz-transition: border-color 1s ease-in-out;

        .icon-down-arrow {
          display: none;
        }

          &.progress-current {

            .icon-wrap {
              background-color: #005263;

              .icon-check-mark {
               display: none;
              }

              .icon-down-arrow {
                display: block;
              }
            }
          }

        .icon-wrap {
          background-color: #006303;
          border: 5px solid #009b37;
        }
      }

      &.progress-todo {
          border-top: 7px solid #DDD;
          color: black;

        .icon-wrap {
          background-color: #FFF;
          border: 5px solid #DDD;
          border-radius: 50%;
          bottom: 1.5em;
          color: #fff;
          display: block;
          height: 2.5em;
          margin: 0 auto -2em;
          position: relative;
          width: 2.5em;

          .icon-check-mark, .icon-down-arrow {
              display: none;
          }
        }
      }
    }
  }
}

#box-container {
  width:400px;
  border:1px solid #000;
}

.tcc-container {
  padding: 2em 0;
  height: auto;
}

.courses-wrapper button {
  padding: 0;
  border: none;
  width:19.55555%;
  overflow: hidden;
}

.courses-wrapper button h2 {
  transition: transform 0.5s ease;

}

.courses-wrapper button:hover h2{
  transform: scale(1.23);
}

.btn-courses {
  color: white;
  display: inline-block;
}

.btn-courses h2 {
  padding: 0;
  padding-top: .5em;
  padding-bottom: .5em;
  margin: 0 !important;
  width: auto;
}

.btn-courses span{
  font-size: 3em;
  background-color: #009551;
  margin: 0;
  padding: 2em;
  padding-top: 1.5em;
  padding-bottom: 1.5em;

}

button {
  cursor: pointer;
}

#software div span {

}

#aeroespacial div span {
 background-color: #005e73;
}

#automotiva div span {
 background-color: #005e5e;
 padding-left: 1.8em;
}

#energia div span {
  background-color: #007848;
}

#eletronica div span {
  background-color: #00694e;
}

#software div h2 {
  background-color: #00a65a;
}

#aeroespacial div h2 {
  background-color: #00738C;
}

#automotiva div h2 {
  background-color: #006e6e;
}

#energia div h2 {
  background-color: #008c54;
}

#eletronica div h2 {
  background-color: #007d5f;
  width: 100%;
}

#eletronica {
  width: 20%;
  overflow: hidden;
}

.steps-container {
  margin-left: auto;
  margin-right: auto;
  width: 800px;
}

.steps-wrapper {
  text-align: center;
  padding-left: 2.887em;
}

.step {
  margin: 40px 20px;
  padding-top: 1.5em;
  padding-bottom: 2em;
  color: #999;
  display: inline-block;
  width: 140px;
  height: 50px;
  background-color: transparent;
  text-align: center;
  position: relative;
  z-index: 0;
}

.step-hide {
  display: none;
}

.step:last-child:after {
  content: none;
}

.step-passed:after {
  content: '';
  width: 80%;
  height: 2px;
  background-color: #4e7e52;
  position: absolute;
  right: -55%;
  top: 50px;
  z-index: 0;
}

.bola {
  padding: .5em;
  width: 20px;
  height: 19px;
  border-radius: 50%;
  border: 2px #999 solid;
}

.step-active {
  color: green;
}

.step-active .bola {
  border-color: green;
}

.step-passed {
  // hippie green
  color: #4E7E52;
}

.step-passed .bola {
  background-color: #4E7E52;
  color: white;
  border-color: white;
  // hippie-green
}

.tcc-button {
  .fa-paperclip {
    float: left;
    margin-left: 10px;
    color: #21BA57;
  }

  &:hover {
    opacity: 0.5;
  }

  align-items: left;
  background: #005263;
  width: 175px;
  height: 50px;
  padding: 5px;
  transition: opacity 0.2s ease 0s;
  opacity: 1.0;
  color: white;
  border: none;
  display: block;

  font-family: "Aller";
  font-weight: 900;
  font-size: 17px;

  text-decoration: none;
  text-align: center;
}

.tcc-button-hide{
  display: none;
}

#next_course_choice {
  float: right;
  margin-top: 10px;
  margin-right: 4%;
}

#back_forms {
  margin-top: 10px;
}

.tcc-box {
  display: flex;
  justify-content: center;
}

.form-box {
  width: 400px;
  margin: 1em;
  padding: 15px;
  background-color: #fafafa;
  font-family: "Arial";
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  box-shadow: 0 0 6px rgba($color: #000000, $alpha: 0.24),
              0 6px 10px rgba($color: #000000, $alpha: 0.28);
  border-radius: 2px;
}

.form-box p {
  font-size: 14px;
}

.button-container {
  display: flex;
  justify-content: center;
}

.textbox-container {
  top: 0;
  height: 100px;
  width: auto;
}

.file-button {
  color: white;
  padding: .7em;
  background: #007848;
  font-family: "Arial";
  font-weight: 900;
  font-size: 12px;
  border: none;
  margin: .5em;
  transition: opacity 0.2s ease 0s;
  opacity: 1.0;
  &:hover {
    opacity: 0.5;
  }
}

.button-bar {
  display: block;
}

#add-more-files {
  margin: 0;
  width: 150px;
  text-align: center;
  margin-bottom: 1em;
  display: block;
}

#next{
  float: right;
  font-size: 16px;
  margin-right: 36px;
  padding: .5em .7em .5em .7em;
}

.upload-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.upload-box {
  width: 700px;
  margin: 1em;
  padding: 15px;
  background-color: #fafafa;
  font-family: "Arial";
  box-shadow: 0 0 6px rgba($color: #000000, $alpha: 0.24),
              0 6px 10px rgba($color: #000000, $alpha: 0.28);
  border-radius: 2px;
}

// .tcc-box div {
//   width: 300px;
//   padding: 15px;
//   margin-right: 2em;
//   margin-bottom: 3em;
//   background-color: #EFEFEF;
//   border-left: 10px solid #008E32;
//   font-family: "Arial"
// }
